<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class AddPhotographyPillarColumns extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('photos', function (Blueprint $table)
        {
            $table->string('aperture_fnumber', 20)->nullable(true);
            $table->string('iso_number', 20)->nullable(true);
            $table->string('shutter_speed', 20)->nullable(true);
            $table->string('focal_length', 20)->nullable(true);
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('photos', function (Blueprint $table)
        {
            $table->dropColumn('aperture_fnumber');
            $table->dropColumn('iso_number');
            $table->dropColumn('shutter_speed');
            $table->dropColumn('focal_length');
        });
    }
}
